com.ibm.openpages.api.configuration

## Interface ICurrency

-     public interface ICurrency

  Interface that gives access to supported currencies in OpenPages with Watson.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISOCurrencyCode` | `getCurrencyCode()` Returns the ISO 4217 currency code.
    `Id` | `getId()` Returns id associated to a currency.
    `java.lang.String` | `getName()` Returns the descriptive name of a currency.
    `int` | `getPrecision()` Returns the decimal precision for this currency.
    `java.lang.String` | `getSymbol()` Returns the currency symbol as specified by ISO 4217.
    `boolean` | `isBaseCurrency()` Returns true if the currency is used as base for the calculation of exchange rates.
    `boolean` | `isEnabled()` Returns true if this currency is enabled in the system.

- - ### Method Detail

    - #### getCurrencyCode

          ISOCurrencyCode getCurrencyCode()

      Returns the ISO 4217 currency code.
      Returns:
        `ISOCurrencyCode` object

    - #### getName

          java.lang.String getName()

      Returns the descriptive name of a currency.
      Returns:
        currency name

    - #### getSymbol

          java.lang.String getSymbol()

      Returns the currency symbol as specified by ISO 4217.
      Returns:
        currency symbol

    - #### getPrecision

          int getPrecision()

      Returns the decimal precision for this currency.
      Returns:
        decimal precision

    - #### isBaseCurrency

          boolean isBaseCurrency()

      Returns true if the currency is used as base for the calculation of exchange rates. All exchange rates for a system are relative to the "base". currency.
      Returns:
        true/false value

    - #### isEnabled

          boolean isEnabled()

      Returns true if this currency is enabled in the system.
      Returns:
        true/false value

    - #### getId

          Id getId()

      Returns id associated to a currency.
      Returns:
        id of currency

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.